Bug 896456 - Rebalance should accept pattern of files to be selectively migrated
Rebalance should accept pattern of files to be selectively migrated
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Kaushal
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2013-01-17 06:03 EST by shishir gowda
Modified: 2014-04-17 07:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.5.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-04-17 07:40:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description shishir gowda 2013-01-17 06:03:18 EST
Description of problem:
Rebalance currently migrates all files which need migration, based on hash value, and layouts. This option will enable users to specify a pattern (*avi,*pdf:10KB,*:10MB) migrate files which match these.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Vijay Bellur 2013-02-27 15:16:23 EST
CHANGE: http://review.gluster.org/4366 (cluster/distribute: Add filter to support file patterns to be migrated) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Niels de Vos 2014-04-17 07:40:16 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.5.0, please reopen this bug report.

glusterfs-3.5.0 has been announced on the Gluster Developers mailinglist [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/6137
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.